6.0.0-git
2021-01-24

[#4343] Callbacks when language is switched during a session
Summary Callbacks when language is switched during a session
Queue Horde Base
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners
Requester slusarz (at) horde (dot) org
Created 2006-08-27 (5264 days ago)
Due
Updated 2006-11-24 (5175 days ago)
Assigned 2006-08-28 (5263 days ago)
Resolved 2006-11-24 (5175 days ago)
Milestone 4
Patch No

History
2006-11-24 05:24:29 Chuck Hagenbuch Comment #7
State ⇒ Resolved
Reply to this comment
The infrastructure for this is now in HEAD:

http://lists.horde.org/archives/cvs/Week-of-Mon-20061120/063260.html



Michael, please feel free to add an example for resetting folder labels.
2006-08-29 14:32:12 Jan Schneider Comment #6 Reply to this comment
Your last sentence already makes it clear. This could only be an 
addition to the current hooks but never be required as a replacement 
for the prefs callbacks.
2006-08-29 13:52:50 Chuck Hagenbuch Comment #5 Reply to this comment
What about general preference change hooks? We trigger some changes 
when the theme is changed, for example; why not moving all of the code 
that runs when a pref is changed into a configurable hook. Yes, people 
would have to enable the default hooks, but that gives them 
flexibility also.
2006-08-29 08:03:46 Jan Schneider Comment #4 Reply to this comment
I still don't see this as a huge problem since the correct labels will 
be used after the next login. But if this of great importance for you, 
I suggest that you use an API method instead because we don't have to 
load each and every application's lib/prefs.php then.
2006-08-29 05:26:18 Michael Slusarz Comment #3 Reply to this comment
I guess we could live with that, or is there any functionality broken
when that happens?
No functionality broken - this is a UI thing only.  But it is kind of 
annoying and looks unprofessional.  I guess the other option would be 
to force a logout/login instead.
2006-08-28 11:24:04 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
I guess we could live with that, or is there any functionality broken 
when that happens?
2006-08-27 19:57:35 Michael Slusarz Comment #1
Type ⇒ Bug
State ⇒
Priority ⇒ 1. Low
Summary ⇒ Callbacks when language is switched during a session
Queue ⇒ Horde Base
Reply to this comment
If the language is switched during a session, the prefs code should 
check for a callback function (i.e. prefs_language_switch) in all app 
prefs.php files.



Example - user default is language A.  User logs in to IMP.  Virtual 
folder labels  are in language A.  User switches to language B.   
Virtual folder labels are not updated.

Saved Queries